GLS ShipIT 5.0.17 GLS ShipIT - REST services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelResponse Class Reference

## Public Member Functions
String | getTrackID ()
void | setTrackID (String value)
String | getResult ()
void | setResult (String value)

## Protected Attributes
String | trackID
String | result

## Detailed Description

Response attributes of cancelShipment request

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="TrackID" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber"/>
            <element name="result" type="{http://www.w3.org/2001/XMLSchema}string"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 42 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CancelParcelResponse.java.

## Member Function Documentation

## ◆ getResult()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelResponse.getResult | ( |  | ) |

Gets the value of the result property.

Returns
  possible object is String

Definition at line 81 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CancelParcelResponse.java.

## ◆ getTrackID()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelResponse.getTrackID | ( |  | ) |

Gets the value of the trackID property.

Returns
  possible object is String

Definition at line 57 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CancelParcelResponse.java.

## ◆ setResult()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelResponse.setResult | ( | String | value | ) |

Sets the value of the result property.

Parameters

  value | allowed object is String

Definition at line 93 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CancelParcelResponse.java.

## ◆ setTrackID()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelResponse.setTrackID | ( | String | value | ) |

Sets the value of the trackID property.

Parameters

  value | allowed object is String

Definition at line 69 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CancelParcelResponse.java.

## Member Data Documentation

## ◆ result

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelResponse.result
| protected

Definition at line 47 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CancelParcelResponse.java.

## ◆ trackID

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelResponse.trackID
| protected

Definition at line 45 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CancelParcelResponse.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CancelParcelResponse.java